# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Module-ExtractUse
Version:	0.32
Release:	1.%{__distinit}%{__distvers}
Summary:	Find out what modules are used
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Module-ExtractUse/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DO/DOMM/Module-ExtractUse-%{version}.tar.gz
Patch0:		Module-ExtractUse-0.32-CleanBuild.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Module::Build) >= 0.37
BuildRequires:	perl(Parse::RecDescent) >= 1.967009
BuildRequires:	perl(Pod::Strip)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::NoWarnings)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(UNIVERSAL::require)
BuildRequires:	perl(version)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Module::ExtractUse is basically a Parse::RecDescent grammar to parse Perl
code. It tries very hard to find all modules (whether pragmas, Core, or
from CPAN) used by the parsed code.

%prep
%setup -q -n Module-ExtractUse-%{version}

# Clean up build process
%patch0

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
./Build test
./Build test --test_files="xt/*.t"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README example/
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::ExtractUse.3pm*
%{_mandir}/man3/Module::ExtractUse::Grammar.3pm*

%changelog
* Wed Sep  4 2013 Paul Howarth <paul@city-fan.org> - 0.32-1
- Update to 0.32
  - Don't include cached results
  - Fix handling module beginning with v and pragma with version
  - Recognize "use parent"
- Update cleanbuild patch (version number change only)

* Mon Jul 22 2013 Paul Howarth <paul@city-fan.org> - 0.31-2
- Perl 5.18 rebuild

* Fri May 31 2013 Paul Howarth <paul@city-fan.org> - 0.31-1
- Update to 0.31
  - Support use Foo::Bar (); etc. (CPAN RT#50723)
  - "use" after statement with trailing comment was ignored (CPAN RT#71761)
  - Fixed the Pod::Simple encoding issue
  - Fix incorrect regexp (ref gh-5)
  - Avoid regex features introduced only in later perl (close gh-5)
  - Use plan() instead of done_testing() (ref gh-5)
  - Add support for bareword leading hyphyen, in-place arrayref and hashref
  - Proper version number for older releases in Changes file
- Drop patches included in new upstream release
- Update cleanbuild patch (version number change only)

* Thu Apr 18 2013 Paul Howarth <paul@city-fan.org> - 0.30-1
- Update to 0.30
  - Add accessors and tests for _in_eval/_out_of_eval
  - Reworked 80_failing.t to TODO tests
  - Added more require-in-string corner test cases
  - Fix the case for eval["']expr["'] and add regression tests
- Update cleanbuild patch (version number change only)
- Include fixes from upstream to support Test::More < 0.88 and perl < 5.10.0
  (https://github.com/domm/Module-ExtractUse/pull/8)

* Mon Feb 25 2013 Paul Howarth <paul@city-fan.org> - 0.29-1
- Update to 0.29
  - Fixed regex to filter use/require (CPAN RT#83569)

* Tue Aug 21 2012 Paul Howarth <paul@city-fan.org> - 0.28-1
- Update to 0.28
  - Whitespace in use base is valid
- Update build patch

* Tue Jul 10 2012 Paul Howarth <paul@city-fan.org> - 0.27-3
- Perl 5.16 rebuild

* Thu May 31 2012 Paul Howarth <paul@city-fan.org> - 0.27-2
- Clean up build process to use PL_files
- Bump Module::Build version requirement to 0.37 in readiness for version
  clean-up in Fedora 18

* Fri Mar 23 2012 Paul Howarth <paul@city-fan.org> - 0.27-1
- Update to 0.27
  - Removed Test::NoWarnings from a t/23_universal_require.t because it upsets
    the (manual) plan if the tests are skipped

* Thu Mar 22 2012 Paul Howarth <paul@city-fan.org> - 0.25-1
- Update to 0.25
  - Autogenerate the grammar during ./Build (CPAN RT#74879)
  - Added $VERSION to into Module::ExtractUse::Grammar (CPAN RT#75342)
  - Require at least version 1.967009 of Parse::RecDescent (CPAN RT#75130)
  - Fix typos (CPAN RT#75115)
  - Switched to Dist::Zilla
- Drop grammar recompilation, no longer needed
- BR: perl(Test::More)
- Bump perl(Module::Build) version requirement to 0.3601
- Bump perl(Parse::RecDescent) version requirement to 1.967009
- Drop perl(Pod::Strip) and perl(Test::Deep) version requirements
- Package manpage for Module::ExtractUse::Grammar

* Fri Mar 16 2012 Paul Howarth <paul@city-fan.org> - 0.24-3
- Recompile the grammar to work with Parse::RecDescent ≥ 1.967009
  (CPAN RT#74879)

* Tue Mar  6 2012 Paul Howarth <paul@city-fan.org> - 0.24-2
- BR: perl(Carp) and perl(version)
- Don't need to remove empty directories from buildroot
- Drop compatibility with distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use Test::Deep unconditionally
  - Don't need to run tests with LC_ALL=C

* Sun Feb 12 2012 Paul Howarth <paul@city-fan.org> - 0.24-1
- Update to 0.24
  - Regenerated Grammar to work with new Parse::RecDescent
- Drop manual grammar recompilation, no longer needed
- Don't package TODO, no longer included in upstream release

* Thu Feb  2 2012 Paul Howarth <paul@city-fan.org> - 0.23-11
- Recompile the grammar to work with Parse::RecDescent ≥ 1.967
  (CPAN RT#74608)

* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> - 0.23-9
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Mar 17 2011 Paul Howarth <paul@city-fan.org> - 0.23-8
- Import from Fedora

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.23-6
- Rebuild to fix problems with vendorarch/lib (#661697)

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.23-5
- Mass rebuild with perl-5.12.0 

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.23-4
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep  5 2008 Daniel P. Berrange <berrange@redhat.com> - 0.23-1
- Update to 0.23 release

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.22-2
- Rebuild for new perl

* Fri Dec 21 2007 Daniel P. Berrange <berrange@redhat.com> - 0.22-1
- Specfile autogenerated by cpanspec 1.73
